## ros-melodic-rosbridge-suite 0.11.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_suite)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-rosbridge-suite (0.11.12-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 05:00:00 -0000

ros-melodic-rosbridge-suite (0.11.11-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 05:00:00 -0000

ros-melodic-rosbridge-suite (0.11.10-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.9-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.8-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.7-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.6-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.5-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.4-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 20 Feb 2020 05:00:00 -0000

ros-melodic-rosbridge-suite (0.11.3-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.2-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.1-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 04:00:00 -0000

ros-melodic-rosbridge-suite (0.11.0-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 04:00:00 -0000

ros-melodic-rosbridge-suite (0.10.2-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 05:00:00 -0000

ros-melodic-rosbridge-suite (0.10.1-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 05:00:00 -0000

ros-melodic-rosbridge-suite (0.10.0-1stretch) stretch; urgency=high

  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Dirk Thomas

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 05:00:00 -0000

ros-melodic-rosbridge-suite (0.9.0-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 09 Apr 2018 04:00:00 -0000

ros-melodic-rosbridge-suite (0.8.6-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 Dec 2017 05:00:00 -0000

ros-melodic-rosbridge-suite (0.8.5-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Nov 2017 05:00:00 -0000

ros-melodic-rosbridge-suite (0.8.4-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Oct 2017 04:00:00 -0000

ros-melodic-rosbridge-suite (0.8.3-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 04:00:00 -0000

ros-melodic-rosbridge-suite (0.8.2-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 04:00:00 -0000

ros-melodic-rosbridge-suite (0.8.1-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 04:00:00 -0000

ros-melodic-rosbridge-suite (0.8.0-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 04:00:00 -0000

ros-melodic-rosbridge-suite (0.7.17-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Jan 2017 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.16-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Aug 2016 04:00:00 -0000

ros-melodic-rosbridge-suite (0.7.15-1stretch) stretch; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 25 Apr 2016 04:00:00 -0000

ros-melodic-rosbridge-suite (0.7.14-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 11 Feb 2016 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.13-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Aug 2015 04:00:00 -0000

ros-melodic-rosbridge-suite (0.7.12-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 07 Apr 2015 04:00:00 -0000

ros-melodic-rosbridge-suite (0.7.11-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-rosbridge-suite (0.7.10-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Feb 2015 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.9-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.8-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.7-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 06 Jan 2015 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.6-1stretch) stretch; urgency=high

  * 0.7.5
  * update changelog
  * 0.7.4
  * changelog updated
  * 0.7.3
  * changelog updated
  * 0.7.2
  * changelog updated
  * 0.7.1
  * update changelog
  * 0.7.0
  * changelog updated
  * Contributors: Jihoon Lee, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 26 Dec 2014 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.5-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 26 Dec 2014 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.4-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 16 Dec 2014 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.3-1stretch) stretch; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Dec 2014 05:00:00 -0000

ros-melodic-rosbridge-suite (0.7.2-1stretch) stretch; urgency=high



## ros-melodic-rosbridge-suite 0.11.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbridge_suite)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-rosbridge-suite (0.11.16-2bionic) bionic; urgency=high

  * Bump minimum required cmake version. (#814 <https://github.com/RobotWebTools/rosbridge_suite/issues/814>)
  * Contributors: Hans-Joachim Krauch

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.15-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 06 Oct 2022 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.14-2bionic) bionic; urgency=high

  * Small fixes (#681 <https://github.com/RobotWebTools/rosbridge_suite/issues/681>)
  * Contributors: Matthijs van der Burgh

 -- Russell Toris <rctoris@wpi.edu>  Mon, 13 Jun 2022 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.13-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Dec 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.12-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.11-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Nov 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.10-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 08 Sep 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.9-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 May 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.8-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 21 May 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.7-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.6-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Apr 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.5-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Apr 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.4-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 20 Feb 2020 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.3-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 07 Aug 2019 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.2-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 08 Jul 2019 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.1-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 May 2019 03:00:00 -0000

ros-melodic-rosbridge-suite (0.11.0-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 29 Mar 2019 03:00:00 -0000

ros-melodic-rosbridge-suite (0.10.2-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 04 Mar 2019 03:00:00 -0000

ros-melodic-rosbridge-suite (0.10.1-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Sun, 16 Dec 2018 02:00:00 -0000

ros-melodic-rosbridge-suite (0.10.0-2bionic) bionic; urgency=high

  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * Contributors: Dirk Thomas

 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Dec 2018 02:00:00 -0000

ros-melodic-rosbridge-suite (0.9.0-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 09 Apr 2018 03:00:00 -0000

ros-melodic-rosbridge-suite (0.8.6-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 08 Dec 2017 02:00:00 -0000

ros-melodic-rosbridge-suite (0.8.5-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 23 Nov 2017 02:00:00 -0000

ros-melodic-rosbridge-suite (0.8.4-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 16 Oct 2017 02:00:00 -0000

ros-melodic-rosbridge-suite (0.8.3-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 03:00:00 -0000

ros-melodic-rosbridge-suite (0.8.2-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 11 Sep 2017 03:00:00 -0000

ros-melodic-rosbridge-suite (0.8.1-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 03:00:00 -0000

ros-melodic-rosbridge-suite (0.8.0-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Aug 2017 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.17-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Jan 2017 02:00:00 -0000

ros-melodic-rosbridge-suite (0.7.16-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 15 Aug 2016 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.15-2bionic) bionic; urgency=high

  * changelog updated
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 25 Apr 2016 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.14-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Thu, 11 Feb 2016 02:00:00 -0000

ros-melodic-rosbridge-suite (0.7.13-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 14 Aug 2015 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.12-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 07 Apr 2015 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.11-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Mar 2015 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.10-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Wed, 25 Feb 2015 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.9-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 24 Feb 2015 03:00:00 -0000

ros-melodic-rosbridge-suite (0.7.8-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Fri, 16 Jan 2015 02:00:00 -0000

ros-melodic-rosbridge-suite (0.7.7-2bionic) bionic; urgency=high



 -- Russell Toris <rctoris@wpi.edu>  Tue, 06 Jan 2015 02:00:00 -0000

ros-melodic-rosbridge-suite (0.7.6-2bionic) bionic; urgency=high

  * 0.7.5
  * update changelog


=== debian/control ===
Source: ros-melodic-rosbridge-suite
Section: misc
Priority: optional
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/rosbridge_suite
Standards-Version: 3.9.2

Package: ros-melodic-rosbridge-suite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rosapi, ros-melodic-rosbridge-library, ros-melodic-rosbridge-server
Description: Rosbridge provides a JSON API to ROS functionality for non-ROS programs.
 There are a variety of front ends that interface with rosbridge, including a WebSocket server for web browsers to interact with. Rosbridge_suite is a meta-package containing rosbridge, various front end packages for rosbridge like a WebSocket package, and helper packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosbridge-suite//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
